<?php
session_start();

define('SHORTINIT', true);
require '../../../wp-load.php';

if ( isset($_POST['action']) && $_POST['action'] == 'db_booking_clock' && isset($_POST['db_id']) && is_numeric($_POST['db_id']) ) {
	global $wpdb;

	$listing_id = ( isset($_POST['db_id']) ? intval($_POST['db_id']) : '0' );
	$booking_date = ( isset($_POST['db_date']) ? $_POST['db_date'] : '' );
	$db_method = ( isset($_POST['db_method']) ? $_POST['db_method'] : '' );

	$listings_hop = $wpdb->get_results( $wpdb->prepare( "SELECT meta_value FROM $wpdb->postmeta WHERE post_id='%d' && meta_key='hop'", $listing_id ) );
	if ( !empty($listings_hop) ) {
		$hop_times = ($listings_hop['0']->meta_value!='always'?json_decode( $listings_hop['0']->meta_value, true ):'always');
		$listings_interval = $wpdb->get_results( $wpdb->prepare( "SELECT meta_key, meta_value FROM $wpdb->postmeta WHERE post_id='%d' && meta_key IN ('booking_interval', 'booking_interval_val')", $listing_id ) );
		$offset = 0;
		if ( !empty($listings_interval) ) {
			$booking_int = $booking_int_val = 0;
			foreach ($listings_interval as $int_data) {
				if ( $int_data->meta_key == 'booking_interval' ) {
					$booking_int = $int_data->meta_value;
				} else if ( $int_data->meta_key == 'booking_interval_val' ) {
					$booking_int_val = $int_data->meta_value;
				}
			}

			if ( $db_method == 'plus' || $db_method == 'initial' ) {
				$offset = $booking_int*$booking_int_val;
			} else if ( $db_method == 'minus' ) {
				$offset = -($booking_int*$booking_int_val);
			}
		}

		if ( $db_method != 'initial' ) {
			$date_to_check = strtotime($booking_date)+$offset;

			if ( $hop_times !== false && !empty($hop_times) ) {
				$next_valid_time = db_get_next_valid_date( $hop_times, $date_to_check, $offset, $listing_id );
				echo json_encode( array( 'next_date' => $next_valid_time ) );
			} else {
				// return error, invalid/empty hop data
			}
		} else {
			$users_day = date('D', strtotime(rtrim($booking_date, ' : ')));

			if ( is_array($hop_times) && !empty($hop_times) ) {
				foreach ($hop_times as $hop_value) {
					if ( is_array($hop_value) && !empty($hop_value) ) {
						foreach ($hop_value as $hop_arr_value) {
							if ( $users_day == date('D', $hop_arr_value['0']) ) {
								$business_start_at = date('h:i',$hop_arr_value['0']);
							}
						}
					}
				}
			} else if ( $hop_times == 'always' ) {
				$business_start_at = date('h:i', strtotime('today') );
			}

			if ( isset($business_start_at) ) {
				$first_business_time = strtotime( rtrim($booking_date, ' : ') . ' ' . $business_start_at );
				$next_valid_time = db_get_next_valid_date( $hop_times, $first_business_time, $offset, $listing_id );
				echo json_encode( array( 'next_date' => $next_valid_time ) );
			}
		}
	} else {
		// return error, hop not found
	}

	die(0);
}

function db_get_next_valid_date( $hop_times, $booking_date, $offset, $listing_id ) {
	global $wpdb;
	switch ( date('D', $booking_date) ) {
		case 'Mon': $hop_day = '5'; break;
		case 'Tue': $hop_day = '6'; break;
		case 'Wed': $hop_day = '7'; break;
		case 'Thu': $hop_day = '8'; break;
		case 'Fri': $hop_day = '9'; break;
		case 'Sat': $hop_day = '10'; break;
		case 'Sun': $hop_day = '11'; break;
		default: break;
	}

	$parsed_date = strtotime( '1970-01-'.$hop_day.' ' . date(($hop_times['1']=='12'?'h:i a':'H:i'), $booking_date) );

	$valid_time_frame = false;

	if ( is_array($hop_times) && !empty($hop_times) ) {
		foreach ($hop_times as $hop_data) {
			if ( is_array($hop_data) ) {
				foreach ($hop_data as $hop_data_arr) {
					if ( $hop_data_arr['0'] <= $parsed_date && $parsed_date < $hop_data_arr['1'] ) {
						$valid_time_frame = true;
						$opening_at = $hop_data_arr['0'];
					}
				}
			}
		}
	} else if ( $hop_times == 'always' ) {
		$valid_time_frame = true;
	}

	$current_day = strtotime( date( 'Y-m-d', time() ) );
	$booked_day = strtotime( date( 'Y-m-d', $booking_date ) );

	$valid_time_chosen = false;
	if ( $hop_times == 'always' ) {
		$valid_time_chosen = true;
	} else {
		if ( date('Y-m-d', $booking_date) == date('Y-m-d', time() - db_convert_listing_utc( $_SESSION['db_tz'] ) ) ) {
			if ( strtotime( date('Y-m-d', $booking_date) . ' ' . date('H:i', time() - db_convert_listing_utc( $_SESSION['db_tz'] ) ) ) < $booking_date ) {
				$valid_time_chosen = true;
			}
		} else {
			$valid_time_chosen = true;
		}
	}

	if ( $valid_time_frame === true && $valid_time_chosen === true ) { // Date provided between the working hours
		if ( $booked_day < $current_day ) { // Previous dates
			$booking_date = strtotime( date('Y-m-d', strtotime('today')) . ' ' . date('H:i', $opening_at) );
			$offset = abs($offset);
			return db_get_next_valid_date( $hop_times, $booking_date, $offset, $listing_id );
		} else {
			$booking_table = $wpdb->prefix . 'directory_booking';
			$booking_query = $wpdb->get_results( $wpdb->prepare( "SELECT ID FROM $booking_table WHERE listing_id='%d' && `timestamp`='%d'", $listing_id, $booking_date ) );
			if ( empty($booking_query) ) { // No bookings found, return date
				return $booking_date;
			} else { // Booking already exists, search for the next valid date
				$booking_date = $booking_date+$offset;
				return db_get_next_valid_date( $hop_times, $booking_date, $offset, $listing_id );
			}
		}
	} else { // Date outside of the working hours, search for the next valid date
		$booking_date = $booking_date+$offset;
		return db_get_next_valid_date( $hop_times, $booking_date, $offset, $listing_id );
	}
}

function db_convert_listing_utc( $utc ) {
	$utc_offset = substr( $utc, 4 );
	$utc_delimiter = substr( $utc, 3, 1 );
	$offset = 3600 * floatval($utc_offset);

	if ( $utc_delimiter == '+' ) {
		$offset = 0 - $offset;
	}

	return $offset;
}