<?php
define('SHORTINIT', true);
require '../../../wp-load.php';
// require( ABSPATH . WPINC . '/formatting.php' );
// require( ABSPATH . WPINC . '/meta.php' );
// require( ABSPATH . WPINC . '/post.php' );
// wp_plugin_directory_constants();

if ( isset($_POST['action']) && $_POST['action'] == 'db_keyword_autocomplete' ) {
	global $wpdb;
	$keyword_value = ( isset($_POST['keyword_value']) ? $_POST['keyword_value'] : '' );

	$active_field_list = $wpdb->get_results('SELECT field_settings FROM '.$wpdb->prefix.'directory_fields WHERE field_active="yes" ORDER BY field_order DESC');
	$searchable_fields = array();
	if ( !empty($active_field_list) ) {
		$do_not_check = array(
			'listing_address',
			'listing_city',
			'listing_neighborhood',
			'listing_zip',
			'listing_state',
			'listing_country',
			'listing_address_lat',
			'listing_address_lng'
		);

		foreach ($active_field_list as $field_value) {
			$field_settings = json_decode($field_value->field_settings, true);
			if ( !in_array($field_settings['field_name'], $do_not_check) ) {
				$searchable_fields[] = '"'.$field_settings['field_name'].'"';
			}
		}
	}

	$meta_search = '';
	if ( !empty($searchable_fields) ) {
		$meta_search = " || ( pmeta.meta_key IN (".implode(',', $searchable_fields).") && pmeta.meta_value LIKE '%%".$keyword_value."%%' && pmeta.post_id=posts.ID )";
	}

	$category_terms = $wpdb->get_results( $wpdb->prepare( "SELECT terms.term_id FROM $wpdb->terms as terms, $wpdb->term_taxonomy as term_taxonomy WHERE terms.name LIKE '%%%s%%' && terms.term_id=term_taxonomy.term_id && term_taxonomy.taxonomy='listing_category'", $keyword_value ) );
	$category_search = '';
	if ( !empty($category_terms) ) {
		$active_terms = array();
		foreach ($category_terms as $cat_data) {
			$active_terms[] = $cat_data->term_id;
		}
		$category_search = ' || ( trelationships.term_taxonomy_id IN ('.implode(',', $active_terms).') && posts.ID=trelationships.object_id )';
	}

	$keyword_results = $wpdb->get_results( $wpdb->prepare( "SELECT DISTINCT posts.ID, posts.post_title FROM $wpdb->posts as posts INNER JOIN $wpdb->postmeta as pmeta ON pmeta.post_id = posts.ID INNER JOIN $wpdb->term_relationships as trelationships ON trelationships.object_id = posts.ID WHERE posts.post_status='publish' && posts.post_type='listings' && ( posts.post_title LIKE '%%%s%%' || posts.post_excerpt LIKE '%%%s%%'".$meta_search.$category_search." )", $keyword_value, $keyword_value ) );

	if ( !empty($keyword_results) ) {
		$matched_listings = array();
		foreach ($keyword_results as $listing_data) {
			$current_listing_data = array( 'title' => $listing_data->post_title, 'id' => $listing_data->ID, 'img' => '0', 'address' => '' );
			$extra_data = $wpdb->get_results( $wpdb->prepare( "SELECT DISTINCT pmeta.meta_key, pmeta.meta_value FROM $wpdb->postmeta as pmeta WHERE pmeta.meta_key IN ('listing_address', '_thumbnail_id') && pmeta.post_id='%d'", $listing_data->ID, $listing_data->ID ), ARRAY_A );
			if ( !empty($extra_data) ) {
				foreach ($extra_data as $extra_value) {
					if ( $extra_value['meta_key'] == '_thumbnail_id' ) {
						$listing_image = $wpdb->get_results( $wpdb->prepare( "SELECT guid FROM $wpdb->posts WHERE ID='%d'", $extra_value['meta_value'] ), ARRAY_A );
						if ( isset($listing_image['0']['guid']) ) {
							$image_extension = '.' . pathinfo( $listing_image['0']['guid'], PATHINFO_EXTENSION );
							$current_listing_data['img'] = str_replace($image_extension, '-70x70'.$image_extension, $listing_image['0']['guid']);
						}
					} else if ( $extra_value['meta_key'] == 'listing_address' ) {
						$current_listing_data['address'] = $extra_value['meta_value'];
					}
				}
			}
			$matched_listings[] = $current_listing_data;
		}
		echo json_encode( $matched_listings );
	} else {
		echo json_encode( false );
	}

	die(0);
}

