<?php
require('stripe/init.php');

$main_settings = get_option( 'db_main_settings');
if ( isset($main_settings['stripe_key']) && $main_settings['stripe_key'] != '' ) {
	\Stripe\Stripe::setApiKey($main_settings['stripe_key']);
	$post_id = ( isset($_POST['sub_id']) ? intval( $_POST['sub_id'] ) : '' );
	$listing_billing = get_post_meta( $post_id, 'db_billing_info', true );

	if ( isset($listing_billing['sub-id']) ) {
		try {
			$sub = \Stripe\Subscription::retrieve($listing_billing['sub-id']);
			$sub->cancel();

			if ( $sub['status'] == 'canceled' ) {
				echo json_encode( array( 'save_response' => 'success', 'message' => esc_html__('Subscription cancelled!', 'directory-builder') ) );
				$sub_data = get_post_meta( $post_id, 'db_subscription', true );
				$sub_data['status'] = 'cancelled';
				update_post_meta( $post_id, 'db_subscription', $sub_data );
				db_update_ipn_notes( $post_id, esc_html__('Subscription cancelled!', 'directory-builder') );
			} else {
				echo json_encode( array( 'save_response' => 'failed', 'message' => $response->getMessages()->getMessage()[0]->getText() ) );
			}
		} catch (Exception $e) {
			echo json_encode( array( 'save_response' => 'failed', 'message' => $e->getMessage() ) );
		}
		
	} else {
		echo json_encode( array( 'save_response' => 'failed', 'message' => esc_html__('There\'s no subscription ID!', 'directory-builder') ) );
	}
} else {
	echo json_encode( array( 'save_response' => 'failed', 'message' => esc_html__('Stripe not configured!', 'directory-builder') ) );
}