<?php

// $log_file = fopen(plugin_dir_path( __FILE__ )."log.txt", "a") or die("Unable to open file!");
// fwrite($log_file, '['.date('d/M/Y H:i:s').'] - '.(@file_get_contents("php://input")).PHP_EOL.PHP_EOL);
// fclose($log_file);

$stripe_wh = json_decode(@file_get_contents("php://input"), true);
$parsed_events = array(  'charge.failed', 'charge.pending', 'charge.refunded', 'charge.succeeded', 'charge.updated', 'invoice.payment_succeeded' );

if ( !empty($stripe_wh) && isset($stripe_wh['type']) && in_array($stripe_wh['type'], $parsed_events) ) {
	$ipn_note = '';
	if ( $stripe_wh['type'] == 'charge.succeeded' ) {
		$payment_status = 'Completed';
		$ipn_note = sprintf( esc_html__('Payment of %d %s received!', 'directory-builder'), ($stripe_wh['data']['object']['amount']/100), strtoupper($stripe_wh['data']['object']['currency']) );
	} else if ( $stripe_wh['type'] == 'charge.failed' ) {
		$payment_status = 'Failed';
		$ipn_note = __('Payment failed', 'directory-builder');
	} else if ( $stripe_wh['type'] == 'charge.pending' ) {
		$payment_status = 'Pending';
		$ipn_note = __('Payment pending', 'directory-builder');
	} else if ( $stripe_wh['type'] == 'charge.refunded' ) {
		$payment_status = 'Refunded';
		$ipn_note = sprintf( __('Payment of %d %s refunded!', 'directory-builder'), ($stripe_wh['data']['object']['refunds']['data']['0']['amount']/100), strtoupper($stripe_wh['data']['object']['refunds']['data']['0']['currency']) );
	} else if ( $stripe_wh['type'] == 'charge.updated' ) {
		$payment_status = 'Updated';
		$ipn_note = __('Payment updated', 'directory-builder');
	} else if ( $stripe_wh['type'] == 'invoice.payment_succeeded' ) {
		$payment_status = 'Completed';
		$ipn_note = sprintf( esc_html__('Payment of %d %s received!', 'directory-builder'), ($stripe_wh['data']['object']['lines']['data']['0']['amount']/100), strtoupper($stripe_wh['data']['object']['lines']['data']['0']['currency']) );
	}

	if ( $stripe_wh['type'] == 'invoice.payment_succeeded' ) {
		$payment_amount = $stripe_wh['data']['object']['lines']['data']['0']['amount']/100;
		$listing_id = $stripe_wh['data']['object']['lines']['data']['0']['metadata']['listing_id'];
	} else if ( $stripe_wh['type'] == 'charge.refunded' ) {
		$payment_amount = $stripe_wh['data']['object']['refunds']['data']['0']['amount']/100;
		if ( isset($stripe_wh['data']['object']['metadata']['listing_id']) ) {
			$listing_id = $stripe_wh['data']['object']['metadata']['listing_id'];
		} else {
			$listing_id = $stripe_wh['data']['object']['refunds']['data']['0']['metadata']['listing_id'];
		}
	} else {
		$payment_amount = $stripe_wh['data']['object']['amount']/100;
		$listing_id = $stripe_wh['data']['object']['metadata']['listing_id'];
	}

	db_update_ipn_notes( $listing_id, $ipn_note );

	$order_info = get_post_meta( $listing_id, 'db_order_info', true);

	if ( $payment_status == 'Completed' || $payment_status == 'Refunded' ) {
		if ( $stripe_wh['type'] == 'invoice.payment_succeeded' ) {
			$all_stripe_charges = get_post_meta( $listing_id, 'stripe_charges', true );
			if ( !is_array($all_stripe_charges) ) {
				$all_stripe_charges = array();
			}
			$all_stripe_charges[] = array( 'time' => $stripe_wh['data']['object']['date'], 'charge' => $stripe_wh['data']['object']['charge'], 'amount' => $stripe_wh['data']['object']['lines']['data']['0']['amount'], 'currency' => $stripe_wh['data']['object']['lines']['data']['0']['currency'] );
			update_post_meta( $listing_id, 'stripe_charges', $all_stripe_charges );
		}
		if ( empty($order_info['payment_history']) ) {
			$order_info['payment_history'] = array(
				date('D, d M Y H:i:s', time()).'==='.$payment_amount.'==='.$payment_status.'===Stripe'
			);
			$invoice_row = '0';
		} else {
			$old_history = $order_info['payment_history'];
			$last_value = explode('===', $old_history[count($old_history)]);
			if ( $last_value['2'] != $payment_status ) {
				$old_history[] = date('D, d M Y H:i:s', time()).'==='.$payment_amount.'==='.$payment_status.'===Stripe';
				$order_info['payment_history'] = $old_history;
				$invoice_row = count($old_history)-1;
			}
		}

		if ( $payment_status == 'Completed' && isset($invoice_row) ) {
			$curr_list = get_post( $listing_id );
			db_insert_activity( $listing_id, 'payment', array( 'invoice-id' => $listing_id.'-'.$curr_list->post_author.'-'.$invoice_row ) );
		}

		if ( function_exists( 'db_send_notification_email' ) && $payment_status == 'Completed' ) {
			$main_settings = get_option( 'db_main_settings');
			$curr_post = get_post( $listing_id );
			$current_user = get_userdata( $curr_post->post_author );
			db_send_notification_email( $curr_post->post_author, 'new_payment', array( 'username' => $current_user->data->user_login, 'price' => $main_settings['default_currency_symbol'].$payment_amount/100, 'url_listing' => get_permalink($listing_id), 'listing_title' => get_the_title($listing_id) ) );
		}
	}

	$order_info['payment_status'] = $payment_status;

	update_post_meta( $listing_id, 'db_order_info', $order_info );

	if ( $payment_status == 'Completed' ) {
		$db_post_status = 'publish';
	} else  {
		$db_post_status = 'pending';
	}

	$db_listing = array(
		'ID'           => $listing_id,
		'post_status'  => $db_post_status
	);
	wp_update_post( $db_listing );
}